import request from '@/utils/request'

// 查询抖音用户信息列表
export function listDouyinUserInfo(query) {
  return request({
    url: '/model/douyin/userInfo/list',
    method: 'get',
    params: query
  })
}

// 查询抖音用户信息详细
export function getDouyinUserInfo(userId) {
  return request({
    url: '/model/douyin/userInfo/' + userId,
    method: 'get'
  })
}

// 新增抖音用户信息
export function addDouyinUserInfo(data) {
  return request({
    url: '/model/douyin/userInfo',
    method: 'post',
    data: data
  })
}
// 更新监控状态
export function updateMonitorState(data) {
  return request({
    url: '/model/douyin/userInfo/updateMonitorState',
    method: 'post',
    data: data
  })
}
// 修改抖音用户信息
export function updateDouyinUserInfo(data) {
  return request({
    url: '/model/douyin/userInfo',
    method: 'put',
    data: data
  })
}

// 删除抖音用户信息
export function delDouyinUserInfo(userId) {
  return request({
    url: '/model/douyin/userInfo/' + userId,
    method: 'delete'
  })
}
